Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fixed #7988 -- Corrected import of the warnings module, thanks richardh.

git-svn-id: http://code.djangoproject.com/svn/django/trunk@8105 bcc190cf-cafb-0310-a4f2-bffc1f526a37
  • Loading branch information...
commit 020f965087e82a7e4e9aede9542365206f3ca162 1 parent 12eba9e
@gdub gdub authored
Showing with 2 additions and 2 deletions.
  1. +2 −2 django/views/generic/create_update.py
View
4 django/views/generic/create_update.py
@@ -15,11 +15,11 @@ def deprecate_follow(follow):
needed for newforms-based forms.
"""
if follow is not None:
- import warning
+ import warnings
msg = ("Generic views have been changed to use newforms, and the"
"'follow' argument is no longer used. Please update your code"
"to not use the 'follow' argument.")
- warning.warn(msg, DeprecationWarning, stacklevel=3)
+ warnings.warn(msg, DeprecationWarning, stacklevel=3)
def apply_extra_context(extra_context, context):
"""
Please sign in to comment.
Something went wrong with that request. Please try again.